Subject: Re: [Shop-talk] left the light on? (One more to think about.)

From: Donald H Locker <[email-masked]>
Date: Fri, 20 Jan 2023 22:21:55 +0000 s=protonmail3; t=1674253323; x=1674512523; bh=kqsXtwiLeTuHKSzUsLo3iQl8KMPbJJUHYRjvP6ITKBI=; h=Date:To:From:Subject:Message-ID:Feedback-ID:From:To:Cc:Date: Subject:Reply-To:Feedback-ID:Message-ID:BIMI-Selector; b=k0qE9XliLdNjqCNLoCrF4WZTkUgeRu1wGsNjMjZEJ4m/YZ84jh4jmAtyHeHJ+j5gQ UhuUP/vjMXiqoUmAFOIbNDMqcyLKS9A+idrg7Ozuz+1m8TNjGufmfrAdxFAhWLlZNe KB3aK6auS2jG3nYt0LoW2WBAuRQm9BrsWI/Grh0aKZQNMb8c7n5BO6FYd2i8N9ursn 1ZQruf92bxhRZrY5dyGIZZB5nXq0tDJb3sCm8WzTJZ57TWM3ezyGRivreXAow/JaAq 2FWdwvexG+PirgksHt+/ei5PrtRXFEnjLoz5/ICmLYoUqduSPtg3ZJ1WKHTPHv/G9S IG5LYDRJIs0vA==

Have you considered putting a current transformer on the power feed to
the shop/garage? Something like https://www.sparkfun.com/products/11005
connected to LEDs? (This could work that there are not too many other
loads on the line. This particular current transformer has a 2000:1
ratio, so several turns of the feed would be needed to sense a lamps-on
condition. (e.g. 10A of lamps would require 3 turns feed wire to create
15mA of LED indicator current.)

HTH,
Donald.

On 1/20/23 13:22, Steven Trovato wrote:
> Well, there is some risk with IOT, but I don't think the exposure is
> that great with this situation.  What would the hacker do, blink my
> workshop light?  Anyway, I am familiar with X-10.  What you are doing is
> controlling the light like any timer would, with the added 1 minute
> extra activation.  This is still not doing what I asked for, which is to
> notify me if I forgot to turn the light off.  BTW, the 1 hour was really
> more of an example than an estimate of shop usage. Just like my garage
> door, I get a warning if the door is open for an hour.  Then that
> repeats on an interval until I close it.  That doesn't mean I don't
> leave it open all day if I am doing something. It just means my phone
> alerts me periodically that the door is open.  It isn't a big deal to
> ignore it in those cases. Actually, as far as hacking IOT goes, the
> garage door is a greater risk than controlling my light.  A hacker could
> theoretically open my garage door.  I guess one would have to balance
> the risk of that against the likelihood of accidentally leaving the door
> open all night.  I'm pretty surprised that in this world of home
> automation, there are lots of ways to control my lights, but there
> doesn't seem to be a way to get a warning if the light is left on.
>
> -Steve
>
> At 11:40 AM 1/20/2023, [email-masked] wrote:
>> First, I am not a fan of ANY IOT device, solution, etc.  So I don't
>> put anything like that anywhere in my home networks.
>>
>> Next, sometimes old school is best.  There are X-10 devices that are
>> way out dated (and hence, no one is trying to hack them, not like they
>> can without accessing your AC current on your side of the
>> transformer.  If someone can do that, you have bigger problems.)  They
>> can also be bought for pennies.
>>
>> Anyway, there are lots of switches and relays and such to control 120
>> vac.
>>
>> There is also a serial (read- NOT NETWORKABLE) interface.  You need an
>> old computer to run it (and it can be a stand alone machine.)
>>
>> You program the interface to activate in anyway you want to or even
>> run marcos.  Then the computer can be turned off.
>>
>> What I would do would be you program the main 'X-10' switch that you
>> use when you want to turn on the garage light.  The macro would do
>> this...
>> -Turn on light G-1
>> -Wait 60 minutes
>> -Turn off light G-1
>> -Wait 30 seconds
>> -Turn on light G-1
>> -Wait 1 minute
>> -Turn off light G-1
>>
>> The second 'turn on' would be if you were under a car or something.
>> You know your 1 hour is up when the light goes off, you can get up,
>> the light will come back on, you walk over to the switch and press
>> it.  This will start the macro all over again.
>>
>> Note- I'm having serious questions about your 'shop status' if you
>> ONLY need a light on for an hour in your shop.  8>)
>>
>> Just an old school solution with new world security considerations.
>>
>> Moose
>
> <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=emailclient>	Virus-free.www.avast.com <https://www.avast.com/sig-email?utm_medium=email&utm_source=link&utm_campaign=sig-email&utm_content=emailclient>
>
> <#DAB4FAD8-2DD7-40BB-A1B8-4E2AA1F9FDF2>

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]